<h2 mat-dialog-title class="title">{{data.title}}</h2>
<div mat-dialog-content>
  <form class="example-form col-12 float-left">
    <div class="container-fluid float-left col-12 col-qpad" style="margin-bottom: 15px;">
          <div class="col-12 float-left">
              <mat-card>
                <mat-card-header>
                  <mat-card-title-group class="col-10">
                    <mat-card-title>Cliente: {{ objsel.cliente.v_nombre }}</mat-card-title>
                    <mat-card-subtitle><b>Número:</b> {{ objsel.cliente.v_numero }} | <b>Doc. Identidad: </b>{{ objsel.cliente.v_dni }}<br>
                    <b>Última estión:</b> {{ objsel.ultimoresultado == null ? 'No se ha realizado gestión al cliente.' : objsel.ultimoresultado.v_nombre + ' | '}} {{ objsel.ultimoresultado == null ? '' :  objsel.d_fechavisita |  date:'dd-MM-yyyy'}}<br>
                    <!-- <b *ngIf="objsel.ultimoresultado != null">Fecha Última Gestión:</b> {{ objsel.ultimoresultado == null ? '' : objsel.d_fechavisita |  date:'dd-MM-yyyy'}}-->
                  </mat-card-subtitle>
                  </mat-card-title-group>
                </mat-card-header>
              </mat-card>
          </div>
        </div>
    <div class="col-lg-12 col-12 float-left">
        <mat-form-field appearance="fill" class="col-12 col-md-6 col-sm-6">
          <mat-label class="font-comp">Fecha</mat-label>
          <input class="font-comp col-12" matInput [matDatepicker]="dpDate" [formControl]="date" [max]="dateServ.today" [min]="dateServ.datepast" readonly
            [(ngModel)]="resultado_regis.d_fecharesultado" />
          <mat-datepicker-toggle matSuffix [for]="dpDate"></mat-datepicker-toggle>
        <mat-datepicker #dpDate disabled="false"></mat-datepicker>
      </mat-form-field>

      <mat-form-field appearance="fill" class="col-12 col-md-6 col-sm-6">
        <mat-label class="font-comp">Seleccione resultado</mat-label>
        <mat-select name="resultado" class="font-comp" [(ngModel)]="resultado_regis.n_idestadoresultado" [(value)]="resultado_regis.n_idestadoresultado" >
          <mat-option value="0">Seleccione...</mat-option>
          <mat-option
            *ngFor="let option of comboResultado"
            value="{{ option.n_idconstante }}">
          {{ option.v_nombre }}
        </mat-option>
        </mat-select>
      </mat-form-field>

      <mat-form-field appearance="fill" class="col-12">
        <mat-label>Observaciones</mat-label>
        <textarea matInput name="observaciones" [(ngModel)]="resultado_regis.v_observaciones"></textarea>
      </mat-form-field>
    </div>
  </form>
  <div mat-dialog-actions class="example-full-width apbtn col-12 float-left">
    <button class="btn btn-sm btn-danger btn-uq" mat-button (click)="cancelar()">Cancelar</button>
    <button class="btn btn-sm btn-reg btn-uq" mat-button (click)="guardar()" >Aceptar</button>
    <!-- cdkFocusInitial ->FOCUS -->
  </div>
</div>




